var contact = {
	serialize: function(form){
		var data = "";
		var formElements = form.querySelectorAll("input, textarea");
		var aE;
		for(var i = 0; i<formElements.length; i++){
			aE = formElements[i];
			aEType = aE.getAttribute("type");
			aEName = aE.getAttribute("name");
			aEReq = aE.getAttribute("required");
			if(aEType == "text" || aE.nodeName == "TEXTAREA"){
				if(aE.value != "" && aE){
					data += aEName+"="+aE.value+"&";
				}else if(aEReq == "true"){
					if(navigator.notification){
						navigator.notification.alert("Algunos campos no están completos o son inválidos", null, "Formulario Incorrecto", "Vale");
					}else{
						alert("Algunos campos no están completos o son inválidos");
					}
					return false;
				}
			}else if(aEType == "checkbox"){
				data += aEName+"="+aE.checked.toString()+"&";
			}
		}
		data += "_appid="+config.appid.toString()+"&_checksum="+hex_md5(config.appid.toString());
		return data;
	},
	sendMail: function(form){
		var data = contact.serialize(form);
		if(!data){
			return false;
		}
		console.log(data);

		getsending = new XMLHttpRequest();
		getsending.open("GET", "templates/_mail_sending.html", false);
		getsending.send();
		form.innerHTML = getsending.responseText;
		getsended = new XMLHttpRequest();
		getsended.open("GET", "templates/_mail_sended.html", false);
		getsended.send();

		xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function(){
			if(xhr.readyState == 4 && xhr.response != "") {
				if(xhr.response == "ok"){
					form.innerHTML = getsended.responseText;
				}else{
					//alert("Error: " + xhr.response);
				}
			}else if(xhr.readyState == 4){
				//alert("ERROR: " + xhr.response);
			}
		}
		xhr.open("POST",config.mailerURL,true);
		xhr.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xhr.send(data);
	},	
	saveContact: function(){
		navigator.notification.confirm('Tiene la posibilidad de guardar un contacto con toda nuestra información en su libreta de direcciones ¿Desea guardarlo?', function(buttonIndex){
			if(buttonIndex == 1){
				var tcontact = navigator.contacts.create();
				var name = new ContactName();
				name.givenName = config.contactData.displayName;
				tcontact.name = name;
				tcontact.displayName = config.contactData.displayName;
				tcontact.note = config.contactData.note;
				var phoneNumbers = [];
				var phoneNumbersRaw = config.contactData.phoneNumbers;
				for(i=0;i<phoneNumbersRaw.length;i++){
					var d = "";
					d = phoneNumbersRaw[i];
					phoneNumbers.push(new ContactField(d[0],d[1],d[2]));
				}
				var emails = [];
				var emailsRaw = config.contactData.emails;
				for(i=0;i<emailsRaw.length;i++){
					var d = "";
					d = emailsRaw[i];
					emails.push(new ContactField(d[0],d[1],d[2]));
				}
				var addresses = [];
				var addressesRaw = config.contactData.addresses;
				for(i=0;i<addressesRaw.length;i++){
					var d = "";
					d = addressesRaw[i];
					var n = "";
					n = new ContactAddress();
					n.pref = d[6];
					n.type = d[0];
					n.streetAddress = d[1];
					n.postalCode = d[2];
					n.locality = d[3];
					n.region = d[4];
					n.country = d[5];
					addresses.push(n);
				}
				tcontact.phoneNumbers = phoneNumbers;
				tcontact.emails = emails;
				tcontact.addresses = addresses;
				tcontact.save(function(){
					out.alert('Contacto guardado', 'Guardado', 'Ok');
				}, function(){
					out.alert('Ha ocurrido un error, salga de la aplicación, entre y vuelva a intentarlo', 'Error', 'Ok');
				});
			}
		}, '¿Guardar Contacto?', ['Si','No']);
	}
}