var events = {
	save: function(name, description, location, startdate, enddate){

		var calendarName = config.appname + ' Eventos';

		var desc = description.replace(/(<br\/>|<br>)/g,'\n\r');
		var tempdiv = document.createElement("div");
		tempdiv.innerHTML = desc;
		desc = tempdiv.innerText;

		if(startdate){
			if(typeof(startdate) == 'string'){
				var d = new Date(startdate);
				if(!d){
					d = new Date(utils.dateStringToAppleFormat(startdate));
				}
				startdate = d;
			}
		}else{
			startdate = new Date();
		}

		if(enddate){
			if(typeof(enddate) == 'string'){
				var d = new Date(enddate);
				if(!d){
					d = new Date(utils.dateStringToAppleFormat(enddate));
				}
				enddate = d;
			}
		}else{
			enddate = new Date();
			enddate.setTime(startdate.getTime());
			enddate.setSeconds(enddate.getSeconds() + 86400);
		}
		out.confirm("¿Desea guardar el evento en el calendario?", "Guardar Evento", function(res){
			if(res){
				
				if(typeof(device) == "undefined") { return; }
				if(device.platform.toLowerCase() == 'ios'){
					window.plugins.calendar.createCalendar(calendarName,events.success,events.error);
					window.plugins.calendar.createEventInNamedCalendar(name,location,desc,startdate,enddate,calendarName,function(m){
						out.alert("Evento guardado con éxito", "Evento Guardado", "Ok");
					},events.error);
				}else if(device.platform.toLowerCase() == 'android'){
					 window.plugins.calendar.createEventInteractively(name,location,desc,startdate,enddate,function(m){
					 	out.alert("Evento guardado con éxito", "Evento Guardado", "Ok");
					 },events.error);
				}

			}
		});
	},
	success: function(message){
		out.log("Events: " + message);
	},
	error: function(message){
		out.error("Events: " + message);
	}
}