var out = {
	log: function(text){
        if(config.debug){
            console.log("SG: " + text);
            out.print(text, '');
        }
    },
    error: function(text){
        if(config.debug){
            console.error("SG: " + text);
            out.print(text, 'error');
        }
    },
    warn: function(text){
        if(config.debug){
            console.warn("SG: " + text);
            out.print(text, 'warn');
        }
    },
    print: function(t, c){
    	var original = document.querySelector("panel[name='debug'] content ul").innerHTML;
    	document.querySelector("panel[name='debug'] content ul").innerHTML = "<li class='" + c + "'>" + t + "</li>" + original;
    },
    alert: function(message, title, buttonName){
        if(typeof(navigator.notification) == "undefined"){
            alert(message);
        }else{
            navigator.notification.alert(message, null, title, buttonName);
        }
    },
    confirm: function(message, title, callback){
        if(typeof(navigator.notification) == "undefined"){
            callback(confirm(message));
        }else{
            navigator.notification.confirm(message, function(index){
                if(index == 1){
                    callback(true);
                }else{
                    callback(false);
                }
            }, title, ['Ok','Cancel']);
        }
    }
}